import java.io.File;

import mgui.io.util.IoFunctions;


public class Temp3 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub

		File civet_folder = new File("/export02/data/adni_civet_output_validated");
		
		String old_prefix = "adni__";
		String new_prefix = "adni_";
		
		String[] subjects = civet_folder.list(IoFunctions.getDirFilter());
		
		int success_count = 0, fail_count = 0;
		
		for (int i = 0; i < subjects.length; i++){
			String subject = subjects[i];
			File subject_folder = new File(civet_folder.getAbsolutePath() + File.separator + subject);
			
			if (update_names(subject_folder, old_prefix, new_prefix))
				success_count++;
			else
				fail_count++;
			
			}
		
		System.out.println("Done. " + success_count + " successes. " + fail_count + " failures.");
	}
	
	
	static boolean update_names(File folder, String old_prefix, String new_prefix){
		
		String[] files = folder.list();
		boolean success = true;
		
		for (int i = 0; i < files.length; i++){
			File file = new File(folder.getAbsolutePath() + File.separator + files[i]);
			if (file.isDirectory()){
				success &= update_names(file, old_prefix, new_prefix);
			}else{
				if (file.getName().startsWith(old_prefix)){
					String new_name = file.getName().replaceFirst(old_prefix, new_prefix);
					File new_file = new File(folder.getAbsolutePath() + File.separator + new_name);
					if (file.renameTo(new_file)){
						System.out.println("Renamed '" + file.getName() + "' -> '" + new_file.getName() + "'.");
					}else{
						System.out.println("Could not rename '" + file.getName() + "' -> '" + new_file.getName() + "'.");
						success = false;
						}
					}
				}
			}
		
		return success;
		
	}
	

}
