import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

import mgui.io.util.IoFunctions;


public class Temp4 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub

		File civet_folder = new File("/export02/data/adni/civet_validated");
		String[] subjects = civet_folder.list(IoFunctions.getDirFilter());
		
		File output_file = new File("/export02/data/adni/metadata/no_surfaces.txt");
		
		try{
		
			BufferedWriter writer = new BufferedWriter(new FileWriter(output_file));
			writer.write("Subject\tRight\tLeft");
			
			for (int i = 0; i < subjects.length; i++){
				String subject = subjects[i];
				File surfaces_folder = new File(civet_folder.getAbsolutePath() + File.separator + subject + File.separator + "thickness");
				
				String[] contents = surfaces_folder.list();
				String search_right = "native_rms_rsl_tlink_20mm_right.txt";
				String search_left = "native_rms_rsl_tlink_20mm_left.txt";
				
				boolean no_right = true, no_left = true;
				
				for (int j = 0; j < contents.length; j++){
					if (contents[j].endsWith(search_left)) no_left = false;
					if (contents[j].endsWith(search_right)) no_right = false;
					}
				
				if (no_right || no_left){
					writer.write("\n" + subject + "\t" + no_right + "\t" + no_left);
					}
				
				}
			
			writer.close();
		
		}catch (IOException ex){
			ex.printStackTrace();
			}
		
		System.out.println("Done. Written to '" + output_file.getAbsolutePath() + "'.");
			
	}

}
