import java.io.File;

import mgui.io.util.IoFunctions;


public class Temp5 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub

		File civet_folder = new File("/export02/data/adni_civet_output_validated_scaled");
		
		String old_suffix = "_wm.txt";
		String new_suffix = "_wm_right.txt";
		
		String[] subjects = civet_folder.list(IoFunctions.getDirFilter());
		
		int success_count = 0, fail_count = 0, skip_count = 0;
		
		for (int i = 0; i < subjects.length; i++){
			String subject = subjects[i];
			File intersects_folder = new File(civet_folder.getAbsolutePath() + File.separator + subject + File.separator + "intersections");
			
			if (intersects_folder.exists()){
			
				if (update_names(intersects_folder, old_suffix, new_suffix))
					success_count++;
				else
					fail_count++;
			}else{
				skip_count++;	
				}
			
			}
		
		System.out.println("Done. " + success_count + " successes. " + fail_count + " failures. " + skip_count + " skipped.");
	}
	
	
	static boolean update_names(File folder, String old_suffix, String new_suffix){
		
		String[] files = folder.list();
		boolean success = true;
		
		for (int i = 0; i < files.length; i++){
			File file = new File(folder.getAbsolutePath() + File.separator + files[i]);
			
			if (file.getName().endsWith(old_suffix)){
				String new_name = file.getName().replace(old_suffix, new_suffix);
				File new_file = new File(folder.getAbsolutePath() + File.separator + new_name);
				if (file.renameTo(new_file)){
					System.out.println("Renamed '" + file.getName() + "' -> '" + new_file.getName() + "'.");
				}else{
					System.out.println("Could not rename '" + file.getName() + "' -> '" + new_file.getName() + "'.");
					success = false;
					}
				}
			}
		
		return success;
		
	}
	

}
